using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CowainHmi.S1
{
    public partial class S1调度信号 : S1公共背景
    {
        public S1调度信号()
        {
            InitializeComponent();
        }

        private void btnManSend_MouseDown(object sender, MouseEventArgs e)
        {
            PCHMI.OPTLOG.WLOG($"手动触发-站命令重发：站号={this.txtStationId.Value}，SN={this.txtSN.Text}");
        }

        private void btnPlaceReq_MouseDown(object sender, MouseEventArgs e)
        {
            PCHMI.OPTLOG.WLOG($"手动触发-站可放料：站号={this.txtStationId.Value}，SN={this.txtSN.Text}");
        }

        private void btnPickOk_MouseDown(object sender, MouseEventArgs e)
        {
            PCHMI.OPTLOG.WLOG($"手动触发-站OK取料：站号={this.txtStationId.Value}，SN={this.txtSN.Text}");
        }

        private void btnPickNg_MouseDown(object sender, MouseEventArgs e)
        {
            PCHMI.OPTLOG.WLOG($"手动触发-站NG取料：站号={this.txtStationId.Value}，SN={this.txtSN.Text}");
        }

        private void btnUpdateState_MouseDown(object sender, MouseEventArgs e)
        {
            PCHMI.OPTLOG.WLOG($"手动触发-站状态更新：站号={this.txtStationId.Value}，SN={this.txtSN.Text}，新状态={this.txtNewState.Value}");
        }
    }
}
